%Participation factor
% Robust Control in Power Systems Pal, Bikash, Chaudhuri, Balarko

tested_system = model_II;
%Right eig matrix, eig values, left eig matrix
[V, D, W] = eig(tested_system.A);

P = zeros(length(D), length(D));

for i=1:length(D)
    
    norm_sum = abs(V(i,:))*abs(W(:,i));
    
    for k=1:length(D)
        
        P(k,i) = (abs(V(i,k))*abs(W(k,i)))/norm_sum;
        
    end
    
end

figure
b = bar3(P);
zlim([0.01, 1])
xlabel('Eigenvalue number');
ylabel('State name');
yticks([1:length(P)]);
yticklabels(tested_system.StateName);
zlabel('Participation factor');
colorbar
for k = 1:length(b)
    zdata = b(k).ZData;
    b(k).CData = zdata;
    b(k).FaceColor = 'interp';
end