% MIT License
% 
% Copyright (c) 2020 Bojan Bankovic
% 
% Permission is hereby granted, free of charge, to any person obtaining a copy
% of this software and associated documentation files (the "Software"), to deal
% in the Software without restriction, including without limitation the rights
% to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the Software is
% furnished to do so, subject to the following conditions:
% 
% The above copyright notice and this permission notice shall be included in all
% copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
% IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
% FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
% AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
% LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
% OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
% SOFTWARE.
% 
% Over and above the legal restrictions imposed by this license, if you use this 
% software for an academic publication then you are obliged to provide
% proper attribution.



% This set of files are used in paper
% A Building Block Method for Modeling and Small-Signal Stability 
% Analysis of the Autonomous Microgrid Operation
% 
% authored by
% Bojan Bankovi?; Filip Filipovi?; Neboja Mitrovi?; Milutin Petronijevi?; Vojkan Kosti?
% 
% and accepted in 
% Energies (ISSN 1996-1073) on 18 March 2020
% 
% in the Section
% Smart Grids and Microgrids
% 
% and under the Special Issue
% Dynamic Modeling of Microgrids



% Content:
% MicrogridEnergiesParam.mlx  - LiveScript file with the definition of all variables
%                                 used in simulation;
% MicrogridEnergiesFULL.slx   - Simulink file that contains the microgrid model
%                                 built using Simscape and the proposed approach
%                                 in the paper, applicable for the dynamic response
%                                 comparison.
% MicrogridEnergiesSSM.slx    - Simulink file that contains the microgrid model
%                                 built using the proposed approach, applicable
%                                 for the Linear Analysis Tool (LAT) analysis.
% MicrogridEnergiesPF.m       - .m file used for participation factor analysis
%                                 of the state-space model obtained using LAT.
% MicrogridEnergiesSVD.m      - .m file used for singular value decomposition
%                                 analysis of the state-space model obtained using LAT.
% 
% Instructions for a test use of MicrogridEnergiesFULL.slx:
% 1) Define all parameters by running MicrogridEnergiesParam.mlx;
% 2) Open Simulink model MicrogridEnergiesFULL.slx;
% 3) Run model and observe dynamic response comparison of the microgrid built
%     using the proposed approach and using Simscape toolbox through defined Scopes.
% 
% Instructions for a test use of MicrogridEnergiesSSM.slx:
% 1) Define all parameters by running MicrogridEnergiesParam.mlx;
% 2) Open Simulink model MicrogridEnergiesSSM.slx;
% 3) Through Analysis -> Control Design -> Linear Analysis... open LAT
% 4) Draw poles and zeros of the microgrid of interest by selecting Pole-Zero Map
%     in the LINEARIZE section of the LINEAR ANALYSIS tab.

%All models are built using MATLAB R2018b (Update 6).